<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>ValueAxis (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ValueAxis (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":38,"i1":38};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ValueAxis.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/charts/TitleType.html"
               title="enum in org.apache.poi.ss.usermodel.charts"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/charts/ValueAxis.html" target="_top">Frames</a>
        </li>
        <li><a href="ValueAxis.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.ss.usermodel.charts</div>
    <h2 title="Interface ValueAxis" class="title">Interface ValueAxis</h2>
</div>
<div class="contentContainer">
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Superinterfaces:</dt>
                    <dd><a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html"
                           title="interface in org.apache.poi.ss.usermodel.charts">ChartAxis</a></dd>
                </dl>
                <dl>
                    <dt>All Known Implementing Classes:</dt>
                    <dd><a href="../../../../../../org/apache/poi/xssf/usermodel/charts/XSSFValueAxis.html"
                           title="class in org.apache.poi.xssf.usermodel.charts">XSSFValueAxis</a></dd>
                </dl>
                <hr>
                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                    <div class="block"><span class="deprecationComment">use XDDFValueAxis instead</span></div>
                </div>
                <br>
                <pre>@Deprecated
 <a href="../../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                            href="../../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
public interface <span class="typeNameLabel">ValueAxis</span>
extends <a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html"
           title="interface in org.apache.poi.ss.usermodel.charts">ChartAxis</a></pre>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a
                                    href="javascript:show(4);">Abstract Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a
                                    href="javascript:show(32);">Deprecated Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/AxisCrossBetween.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">AxisCrossBetween</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ValueAxis.html#getCrossBetween--">getCrossBetween</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ValueAxis.html#setCrossBetween-org.apache.poi.ss.usermodel.charts.AxisCrossBetween-">setCrossBetween</a></span>(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/AxisCrossBetween.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">AxisCrossBetween</a>&nbsp;crossBetween)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                    &nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.usermodel.charts.ChartAxis">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.ss.usermodel.charts.<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html"
                                        title="interface in org.apache.poi.ss.usermodel.charts">ChartAxis</a></h3>
                                <code><a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#crossAxis-org.apache.poi.ss.usermodel.charts.ChartAxis-">crossAxis</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#getCrosses--">getCrosses</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#getId--">getId</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#getLogBase--">getLogBase</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#getMajorTickMark--">getMajorTickMark</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#getMaximum--">getMaximum</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#getMinimum--">getMinimum</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#getMinorTickMark--">getMinorTickMark</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#getNumberFormat--">getNumberFormat</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#getOrientation--">getOrientation</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#getPosition--">getPosition</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#hasNumberFormat--">hasNumberFormat</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#isSetLogBase--">isSetLogBase</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#isSetMaximum--">isSetMaximum</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#isSetMinimum--">isSetMinimum</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#isVisible--">isVisible</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#setCrosses-org.apache.poi.ss.usermodel.charts.AxisCrosses-">setCrosses</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#setLogBase-double-">setLogBase</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#setMajorTickMark-org.apache.poi.ss.usermodel.charts.AxisTickMark-">setMajorTickMark</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#setMaximum-double-">setMaximum</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#setMinimum-double-">setMinimum</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#setMinorTickMark-org.apache.poi.ss.usermodel.charts.AxisTickMark-">setMinorTickMark</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#setNumberFormat-java.lang.String-">setNumberFormat</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#setOrientation-org.apache.poi.ss.usermodel.charts.AxisOrientation-">setOrientation</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#setPosition-org.apache.poi.ss.usermodel.charts.AxisPosition-">setPosition</a>,
                                    <a href="../../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html#setVisible-boolean-">setVisible</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getCrossBetween--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getCrossBetween</h4>
                                <pre><a href="../../../../../../org/apache/poi/ss/usermodel/charts/AxisCrossBetween.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">AxisCrossBetween</a>&nbsp;getCrossBetween()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>cross between type</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setCrossBetween-org.apache.poi.ss.usermodel.charts.AxisCrossBetween-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>setCrossBetween</h4>
                                <pre>void&nbsp;setCrossBetween(<a
                                        href="../../../../../../org/apache/poi/ss/usermodel/charts/AxisCrossBetween.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">AxisCrossBetween</a>&nbsp;crossBetween)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>crossBetween</code> - cross between type</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/ValueAxis.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/charts/TitleType.html"
               title="enum in org.apache.poi.ss.usermodel.charts"><span class="typeNameLink">Prev&nbsp;Class</span></a>
        </li>
        <li>Next&nbsp;Class</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/charts/ValueAxis.html" target="_top">Frames</a>
        </li>
        <li><a href="ValueAxis.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
